Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-announce
Navigation:
Lists: gentoo-announce: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-announce@g.o
From: Stefan Behte <craig@g.o>
Subject: [ GLSA 201006-12 ] Fetchmail: Multiple vulnerabilities
Date: Wed, 02 Jun 2010 18:48:40 +0200
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory                           GLSA 201006-12
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                                            http://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

  Severity: Normal
     Title: Fetchmail: Multiple vulnerabilities
      Date: June 01, 2010
      Bugs: #280537, #307761
        ID: 201006-12

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

Multiple vulnerabilities have been reported in Fetchmail, allowing
remote attackers to execute arbitrary code or to conduct
Man-in-the-Middle attacks.

Background
==========

Fetchmail is a remote mail retrieval and forwarding utility.

Affected packages
=================

    -------------------------------------------------------------------
     Package             /  Vulnerable  /                   Unaffected
    -------------------------------------------------------------------
  1  net-mail/fetchmail      < 6.3.14                        >= 6.3.14

Description
===========

Multiple vulnerabilities have been reported in Fetchmail:

* The sdump() function might trigger a heap-based buffer overflow
  during the escaping of non-printable characters with the high bit set
  from an X.509 certificate (CVE-2010-0562).

* The vendor reported that Fetchmail does not properly handle Common
  Name (CN) fields in X.509 certificates that contain an ASCII NUL
  character. Specifically, the processing of such fields is stopped at
  the first occurrence of a NUL character. This type of vulnerability
  was recently discovered by Dan Kaminsky and Moxie Marlinspike
  (CVE-2009-2666).

Impact
======

A remote attacker could entice a user to connect with Fetchmail to a
specially crafted SSL-enabled server in verbose mode, possibly
resulting in the execution of arbitrary code with the privileges of the
user running the application. NOTE: The issue is only existent on
platforms on which char is signed.

Furthermore, a remote attacker might employ a specially crafted X.509
certificate, containing a NUL character in the Common Name field to
conduct man-in-the-middle attacks on SSL connections made using
Fetchmail.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All Fetchmail users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose ">=net-mail/fetchmail-6.3.14"

References
==========

  [ 1 ] CVE-2010-0562
        http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-0562
  [ 2 ] CVE-2009-2666
        http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2666

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

  http://security.gentoo.org/glsa/glsa-201006-12.xml

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users machines is of utmost
importance to us. Any security concerns should be addressed to
security@g.o or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2010 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5

Attachment:
signature.asc (OpenPGP digital signature)
Navigation:
Lists: gentoo-announce: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
[ GLSA 201006-11 ] BIND: Multiple vulnerabilities
Next by thread:
[ GLSA 201006-13 ] Smarty: Multiple vulnerabilities
Previous by date:
[ GLSA 201006-11 ] BIND: Multiple vulnerabilities
Next by date:
[ GLSA 201006-13 ] Smarty: Multiple vulnerabilities


Updated Jun 25, 2012

Summary: Archive of the gentoo-announce mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.